Current status: [![pipeline status](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/badges/master/pipeline.svg)](https://gitlab.betapsi.tech/prismplex/latex-vorlage-semmelweis/commits/master)
# (DE) Latex Vorlage zum Schreiben der Diplom-/Doktorarbeit an der Semmelweis Universität in Budapest

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/main.png?inline=false "preview")

Diese Vorlage wurde von Thomas Winkler anhand der [LaTeX-Vorlage für Bachelor, Master und wissenschaftliche Arbeiten](https://github.com/a-czyrny/LaTeX-Master-Vorlage) erstellt.

**Wichtig: Das Kompilieren muss mit dem Argument "-shell-escape" stattfinden!**
Das Argument "-shell-escape" ist in der Webversion von "Sharelatex" (neuerdings "Overleaf") standardmäßig aktiviert.
Wie man die Option in "Texmaker" aktiviert siehe weiter unten.

## Times New Roman
Aufgrund von Lizensierungsgründen konnte nicht die originale "Times New Roman"-Schriftart eingegliedert werden. Diese Projekt benutzt dagegen die Open-Source-Alternative "Liberation Serif".
Um die originale Schriftart einzugliedern, müssen diese vier Dateien im Stammverzeichnis ersetzt werden: `tnr.tff (regular Times New Roman), tnrb.tff (bold Times New Roman), tnrbi.tff (bold italic Times New Roman), tnri.tff (italic Times New Roman)`
Die originale "Times New Roman"-Schriftart wird mit Ausnahme von Linux-basierten Sytemen mit dem Betriebssystem mitgeliefert beziehungsweise ist standarmäßig installiert.
Unter "Mac OS X" findet man diese Dateien unter dem Pfad: `/Library/Fonts/` nach "Times New Roman" sucht.
Unter Windows findet man diese Dateien unter diesem Pfad: `C:\Windows\Fonts`

# Wie benutze ich die Vorlage?
## Mit "Texmaker"
1. ["MiKTeX" installieren](https://miktex.org/) 

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/howto/miktex.png?inline=false "MiKTeX")

2. ["Texmaker" installieren](http://www.xm1math.net/texmaker/)
3. Change the field Bib(la)tex from biblatex to biber

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/howto/texmaker-1.png?inline=false "biber")

4. "-shell-escape" Argument zum pdflatex-Compiler hinzufügen

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/howto/texmaker-3.png?inline=false "shell-escape")

5. "Quick Build" Optionen zu `pdflatex + biblatex + 2x pdflatex + view pdf` ändern

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/howto/texmaker-2.png?inline=false "quick-build")

## Mit "Sharelatex" oder "Overleaf"
Einfach die .zip Datei dieses Projekts downloaden und dort hochladen und du bist startklar!

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/howto/sharelatex.png?inline=false "Sharelatex")

# (EN) Latex template for writing a thesis at Semmelweis university in German

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/main.png?inline=false "preview")

This template was made by Thomas Winkler by using code from [LaTeX-Vorlage für Bachelor, Master und wissenschaftliche Arbeiten](https://github.com/a-czyrny/LaTeX-Master-Vorlage).

**Important: Compilation must be done with the "-shell-escape" argument!**
The "-shell-escape" argument is already activated in the web version of "Sharlatex" (recently "Overleaf").
How to activate it in "Texmaker" see below.

## Times New Roman
Because auf licencing, the orginal "Times New Roman" font could not be integrated. Instead this project is using the open source alternative "Liberation Serif".
To change to the original "Times New Roman" just replace following file in the root directory:  `tnr.tff (regular Times New Roman), tnrb.tff (bold Times New Roman), tnrbi.tff (bold italic Times New Roman), tnri.tff (italic Times New Roman)`
The original "Times New Roman" font comes with all major operating systems (excluding linux systems, as I know they are using open source alternatives).
To find the font under "Mac OS X" go to `/Library/Fonts/` and search for "Times New Roman". 
Windows uses this directory to store font files: `C:\Windows\Font`

# How to use
## With "Texmaker"
1. [Install "MiKTeX"](https://miktex.org/) 

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/howto/miktex.png?inline=false "MiKTeX")

2. [Install "Texmaker"](http://www.xm1math.net/texmaker/)
3. Change the field Bib(la)tex from biblatex to biber

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/howto/texmaker-1.png?inline=false "biber")

4. Add "-shell-escape" to pdflatex arguments

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/howto/texmaker-3.png?inline=false "shell-escape")

5. Change "Quick Build" options to `pdflatex + biblatex + 2x pdflatex + view pdf`

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/howto/texmaker-2.png?inline=false "quick-build")

## With "Sharelatex" or "Overleaf"
Just upload the downloaded .zip from here and you are ready to go!

![preview](https://gitlab.prismplex.tech/prismplex/latex-vorlage-semmelweis/raw/master/howto/sharelatex.png?inline=false "Sharelatex")